Page MenuHomePhabricator

Find, gather and centralize documentation about best practices concerning replying to newcomers on Help Desks.
Closed, ResolvedPublicNov 29 2018

Description

In order to support Growth team efforts around Help desks, that task aime to find, gather and publish on a central place best practices around interacting with newcomers on Help desks.

Initial plan

  • Find relevant documentation around that goal, T206212#4658409
    • on wiki
    • outside of wikis
  • Gather findings. This may include common good sense, but remind that to readers may worth it.
  • Find relevant people, who are experienced on helping newcomers, to comment the findings. Crash-test those findings.
  • Publish the findings, marked for translation of needed.
  • Publicize on the next Growth newsletter and wait for possible replies from there.

Details

Due Date
Nov 29 2018, 11:00 PM

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 12:18 PM
Trizek-WMF set Due Date to Nov 29 2018, 11:00 PM.Oct 4 2018, 1:36 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 4 2018, 1:36 PM
Qgil added a project: Goal.Oct 9 2018, 9:34 AM
Trizek-WMF updated the task description. (Show Details)Oct 11 2018, 10:07 AM
Trizek-WMF added a comment.EditedOct 11 2018, 1:38 PM

Find relevant documentation

On wiki

So far, I've found three helpful documentation: one ressource on French Wikipedia and the Host handbook on English Wikipedia's teahouse (with a copy on Swedish Wikipedia). Arabic Wikipedia has an Help project with a section dedicated to how-to. Other wikis redirect to "Please do not bite the newcomers".

Those documents are quite similar. They list the followings (every line is at least shared by 2 wikis):

  • how to behave
    • be friendly, polite and patient. Say hello.
    • be sure that you understand the question asked
    • know your limits: sometimes you don't know how to reply, so ask for help too
    • coordinate with others
  • how to reply
    • keep things simple, avoid jargon (or introduce it progressively)
    • not point to documentation first but explain processes. Answer is better than link to answer.
    • reply to questions asked, because they are specific - avoid general replies
    • guide people: if someone want to add an image but the action that person should take is to add sources, tell them to add sources first and promise that you will explain how to add an image.
    • alert the user about the reply

There is a divergence between:

  • help people to understand what to do and have the applying it
  • do what people ask because that's too complicated and afterwards explain what has been done.

Outside of wikis

This is a very difficult quest. Most websites where people can ask for questions don't have any guidelines. I've just found a couple of examples from Q&A websites for developers.

  • Stackoverflow
    • Don't do replies without content, like just saying thanks.
    • Read questions carefully.
    • pay attention to grammar and spelling to make the reply easier to read. This is more important than writing a perfect answer.
    • answer well written questions first to avoid frustration. They list things that shouldn't be replied, like question asking for opinions.
    • Be civil and have fun.
  • stackexchange, from their replies, while they don't have a formal page for that
    • Read the question carefully. Guess is okay but accuracy is much better.
    • Be clear and honest
    • a partial reply is better than nothing. If you don't know about something say it and redirect.
    • Provide examples.
    • quote important information from other pages you link, to avoid people to read multiple pages.
    • Link to more information when the question is globally replied (assuming that people are aiming to search by themselves)
    • monitor your answer to know if a reply has been posted
    • Be polite, check your spelling, have fun
Trizek-WMF updated the task description. (Show Details)Oct 11 2018, 1:39 PM

A resource that might be useful in this work is the catalog that our Czech and Korean ambassadors put together, which lists the different places to get help and their popularity: T197189

A resource that might be useful in this work is the catalog that our Czech and Korean ambassadors put together, which lists the different places to get help and their popularity: T197189

I've asked the ambassadors about that, but there is no proper documentation about how to assist newcomers on their wikis, apart from "Please do not bite the newcomers".

Trizek-WMF updated the task description. (Show Details)EditedOct 12 2018, 5:21 PM

I'm done with searching. didn't find anything relevant.

I've reviewed the initial plan in description. Next week, I'll create a proper wiki page with best practices and ping people to share their views and comment on that.

Trizek-WMF updated the task description. (Show Details)Oct 16 2018, 3:49 PM

I've created a page about that gathers the findings. https://www.mediawiki.org/wiki/Growth/How_to_work_with_newcomers

I may edit it a bit more, depending on comments left on that page's talk page or on new ressources found.

I've sent that page for review to:

  • French Wikipedia Aide et accueil project
  • English Wikipedia teahouse hosts
  • various contacts including the Ambassadors.
Trizek-WMF updated the task description. (Show Details)Oct 18 2018, 1:50 PM
Trizek-WMF lowered the priority of this task from High to Normal.Oct 24 2018, 10:54 AM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF moved this task from In Progress to Done on the Growth-Team (Current Sprint) board.
Trizek-WMF closed this task as Resolved.Nov 14 2018, 11:08 AM
Trizek-WMF updated the task description. (Show Details)